# Uses of Interface
org.eclipse.emf.cdo.eresource.CDOResourceFactory

Packages that use CDOResourceFactory
Package
Description
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOResourceFactory in org.eclipse.emf.cdo.eresource

Fields in org.eclipse.emf.cdo.eresource declared as CDOResourceFactory
Modifier and Type
Field
Description
`static final CDOResourceFactory`
CDOResourceFactory.`INSTANCE`

## Uses of CDOResourceFactory in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement CDOResourceFactory
Modifier and Type
Class
Description
`class`
`CDOResourceFactoryImpl`
Creates default `CDOResource` instances.
Fields in org.eclipse.emf.cdo.eresource.impl declared as CDOResourceFactory
Modifier and Type
Field
Description
`static final CDOResourceFactory`
CDOResourceFactoryImpl.`INSTANCE`

## Uses of CDOResourceFactory in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOResourceFactory
Modifier and Type
Method
Description
`CDOResourceFactory`
CDOViewSet.`getResourceFactory()`